Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pdfbox.pdmodel.interactive.annotation
Class PDAnnotationSquareCircle

    java.lang.Object
      org.pdfbox.pdmodel.interactive.annotation.PDAnnotation
          org.pdfbox.pdmodel.interactive.annotation.PDAnnotationMarkup
              org.pdfbox.pdmodel.interactive.annotation.PDAnnotationSquareCircle

All Implemented Interfaces:
  COSObjectable

public class PDAnnotationSquareCircle
extends PDAnnotationMarkup

This is the class that represents a rectangular or eliptical annotation Introduced in PDF 1.3 specification .

Version:
  $Revision: 1.1 $
Author:
  Paul King

Field Summary
`static String` | `SUB_TYPE_CIRCLE` Constant for an Eliptical type of annotation.
`static String` | `SUB_TYPE_SQUARE` Constant for a Rectangular type of annotation.

Fields inherited from class org.pdfbox.pdmodel.interactive.annotation.PDAnnotationMarkup
`RT_GROUP, RT_REPLY`

Fields inherited from class org.pdfbox.pdmodel.interactive.annotation.PDAnnotation
`FLAG_HIDDEN, FLAG_INVISIBLE, FLAG_LOCKED, FLAG_NO_ROTATE, FLAG_NO_VIEW, FLAG_NO_ZOOM, FLAG_PRINTED, FLAG_READ_ONLY, FLAG_TOGGLE_NO_VIEW`

Constructor Summary
`PDAnnotationSquareCircle(COSDictionary field)` Creates a Line annotation from a COSDictionary, expected to be a correct object definition.
`PDAnnotationSquareCircle(String subType)` Creates a Circle or Square annotation of the specified sub type.

Method Summary
`PDBorderEffectDictionary` | `getBorderEffect()` This will retrieve the border effect dictionary, specifying effects to be applied used in drawing the line.
`PDGamma` | `getInteriorColour()` This will retrieve the interior colour of the drawn area Colour is in DeviceRGB colourspace.
`PDRectangle` | `getRectDifference()` This will get the rectangle difference rectangle.
`String` | `getSubtype()` This will retrieve the sub type (and hence appearance, AP taking precedence) For this annotation.
`void` | `setBorderEffect(PDBorderEffectDictionary be)` This will set the border effect dictionary, specifying effects to be applied when drawing the line.
`void` | `setInteriorColour(PDGamma ic)` This will set interior colour of the drawn area Colour is in DeviceRGB colourspace.
`void` | `setRectDifference(PDRectangle rd)` This will set the rectangle difference rectangle.
`void` | `setSubtype(String subType)` This will set the sub type (and hence appearance, AP taking precedence) For this annotation.

Methods inherited from class org.pdfbox.pdmodel.interactive.annotation.PDAnnotationMarkup
`getConstantOpacity, getCreationDate, getInReplyTo, getIntent, getPopup, getReplyType, getRichContents, getSubject, getTitlePopup, setConstantOpacity, setCreationDate, setInReplyTo, setIntent, setPopup, setReplyType, setRichContents, setSubject, setTitlePopup`

Methods inherited from class org.pdfbox.pdmodel.interactive.annotation.PDAnnotation
`createAnnotation, getAction, getActions, getAnnotationFlags, getAnnotationName, getAppearance, getAppearanceStream, getBoderStyle, getColour, getContents, getCOSObject, getDictionary, getModifiedDate, getRectangle, isHidden, isInvisible, isLocked, isNoRotate, isNoView, isNoZoom, isPrinted, isReadOnly, isToggleNoView, setAction, setActions, setAnnotationFlags, setAnnotationName, setAppearance, setAppearanceStream, setBorderStyle, setColour, setContents, setHidden, setInvisible, setLocked, setModifiedDate, setNoRotate, setNoView, setNoZoom, setPrinted, setReadOnly, setRectangle, setToggleNoView`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SUB_TYPE_SQUARE

    public static final String SUB_TYPE_SQUARE

  Constant for a Rectangular type of annotation.

  See Also:
    Constant Field Values

### SUB_TYPE_CIRCLE

    public static final String SUB_TYPE_CIRCLE

  Constant for an Eliptical type of annotation.

  See Also:
    Constant Field Values

Constructor Detail

### PDAnnotationSquareCircle

    public PDAnnotationSquareCircle(String subType)

  Creates a Circle or Square annotation of the specified sub type.

Parameters:
  `subType` - the subtype the annotation represents.

### PDAnnotationSquareCircle

    public PDAnnotationSquareCircle(COSDictionary field)

  Creates a Line annotation from a COSDictionary, expected to be a correct object definition.

Parameters:
  `field` - the PDF objet to represent as a field.

Method Detail

### setInteriorColour

    public void setInteriorColour(PDGamma ic)

  This will set interior colour of the drawn area Colour is in DeviceRGB colourspace.

  Parameters:
    `ic` - colour in the DeviceRGB colourspace.

### getInteriorColour

    public PDGamma getInteriorColour()

  This will retrieve the interior colour of the drawn area Colour is in DeviceRGB colourspace.

  Returns:
    PDGamma object representing the colour.

### setBorderEffect

    public void setBorderEffect(PDBorderEffectDictionary be)

  This will set the border effect dictionary, specifying effects to be applied when drawing the line.

  Parameters:
    `be` - The border effect dictionary to set.

### getBorderEffect

    public PDBorderEffectDictionary getBorderEffect()

  This will retrieve the border effect dictionary, specifying effects to be applied used in drawing the line.

  Returns:
    The border effect dictionary

### setRectDifference

    public void setRectDifference(PDRectangle rd)

  This will set the rectangle difference rectangle. Giving the difference between the annotations rectangle and where the drawing occurs. (To take account of any effects applied through the BE entry forexample)

  Parameters:
    `rd` - the rectangle difference

### getRectDifference

    public PDRectangle getRectDifference()

  This will get the rectangle difference rectangle. Giving the difference between the annotations rectangle and where the drawing occurs. (To take account of any effects applied through the BE entry forexample)

  Returns:
    the rectangle difference

### setSubtype

    public void setSubtype(String subType)

  This will set the sub type (and hence appearance, AP taking precedence) For this annotation. See the SUB_TYPE_XXX constants for valid values.

  Parameters:
    `subType` - The subtype of the annotation

### getSubtype

    public String getSubtype()

  This will retrieve the sub type (and hence appearance, AP taking precedence) For this annotation.

  Returns:
    The subtype of this annotation, see the SUB_TYPE_XXX constants.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD